# 首先，按照标准库和第三方库的顺序进行导入
import os  # 系统操作相关模块
import sys  # 系统特定参数和函数
import platform  # 提供系统平台详细信息模块
import random
import string
import time
import ctypes

# 第三方库导入（按字母顺序排列）
import colorama  # 控制台颜色输出模块
import qrcode
import psutil
import matplotlib.pyplot as plt
from colorama import init, Fore, Style

import getpass  # 密码输入模块
import hashlib  # 散列和加密模块
import json  # JSON数据处理模块
import PIL  # Python图像处理库
from PIL import Image  # 导入PIL中的Image模块
import psutil  # 进程和系统实用工具模块
import requests  # HTTP请求模块
import subprocess  # 子进程管理模块
from urllib.parse import urljoin  # URL解析模块
from bs4 import BeautifulSoup  # HTML或XML解析模块
import win32api  # Windows API接口模块
import win32security  # Windows 安全API模块

# 导入check_running模块
import check_running
from index_main import handle_user_input
from zi import print_lines_with_delay, text_lines
from main_login import login
from upload_system_info import upload_system_info
from is_admin import is_admin, show_message_box
# 定义全局服务器地址
global_server_address = 'http://1nvweb.top'
# 初始化 Colorama
init(autoreset=True)

# 定义颜色类
class Colors:
    RED = Fore.RED
    GREEN = Fore.GREEN
    YELLOW = Fore.YELLOW
    BLUE = Fore.BLUE
    MAGENTA = Fore.MAGENTA
    CYAN = Fore.CYAN
    END = Style.RESET_ALL
# 定义 ANSI 转义码
class colors:
    RED = '\033[91m'
    GREEN = '\033[92m'
    YELLOW = '\033[93m'
    BLUE = '\033[94m'
    MAGENTA = '\033[95m'
    CYAN = '\033[96m'
    END = '\033[0m'


# 计算文件的 MD5 值
def calculate_md5(file_path):
    with open(file_path, 'rb') as f:
        md5 = hashlib.md5()
        while True:
            data = f.read(4096)
            if not data:
                break
            md5.update(data)
    return md5.hexdigest()

# 发送当前程序的 MD5 值到后端进行校验
def calculate_md5(file_path):
    md5_hash = hashlib.md5()
    with open(file_path, "rb") as f:
        for chunk in iter(lambda: f.read(4096), b""):
            md5_hash.update(chunk)
    return md5_hash.hexdigest()

def send_md5_to_backend(md5):
    url = f'{global_server_address}/tools/md5.php'
    payload = {'md5': md5}
    response = requests.post(url, data=payload)
    return response.text
