# 首先，按照标准库和第三方库的顺序进行导入
import os  # 系统操作相关模块
import sys  # 系统特定参数和函数
import platform  # 提供系统平台详细信息模块
import random
import string
import time
import ctypes

# 第三方库导入（按字母顺序排列）
import colorama  # 控制台颜色输出模块
import qrcode
import psutil
import matplotlib.pyplot as plt
from colorama import init, Fore, Style

import getpass  # 密码输入模块
import hashlib  # 散列和加密模块
import json  # JSON数据处理模块
import PIL  # Python图像处理库
from PIL import Image  # 导入PIL中的Image模块
import psutil  # 进程和系统实用工具模块
import requests  # HTTP请求模块
import subprocess  # 子进程管理模块
from urllib.parse import urljoin  # URL解析模块
from bs4 import BeautifulSoup  # HTML或XML解析模块
import win32api  # Windows API接口模块
import win32security  # Windows 安全API模块

from index_main import handle_user_input
# 初始化 Colorama
init(autoreset=True)
# 定义全局服务器地址
global_server_address = 'http://1nvweb.top'
# 定义颜色类
class Colors:
    RED = Fore.RED
    GREEN = Fore.GREEN
    YELLOW = Fore.YELLOW
    BLUE = Fore.BLUE
    MAGENTA = Fore.MAGENTA
    CYAN = Fore.CYAN
    END = Style.RESET_ALL
# 定义 ANSI 转义码
class colors:
    RED = '\033[91m'
    GREEN = '\033[92m'
    YELLOW = '\033[93m'
    BLUE = '\033[94m'
    MAGENTA = '\033[95m'
    CYAN = '\033[96m'
    END = '\033[0m'

def register():
    print(f'{colors.BLUE}1NVos安全工具----------------------------注册{colors.END}')

    while True:
        new_username = input('请输入新用户名 (6个字符以上，字母和数字): ')
        if len(new_username) <= 5 or not new_username.isalnum():
            print(f'{colors.RED}用户名必须是6个字符以上的字母或数字组合，请重新输入{colors.END}')
            continue

        new_password = input('请输入新密码 (7个字符以上): ')
        if len(new_password) <= 6:
            print(f'{colors.RED}密码必须是7个字符以上，请重新输入{colors.END}')
            continue

        url = f'{global_server_address}/tools/register.php'  # PHP接口
        data = {
            'new_username': new_username,
            'new_password': new_password
        }
        
        try:
            response = requests.post(url, data=data)
            
            if response.status_code == 201:  # 返回状态码为201
                print(f'{colors.BLUE}注册成功，请登录{colors.END}')
                break
            elif response.status_code == 400:  # 返回状态码为400
                print(f'{colors.RED}请求无效: {response.text}{colors.END}')
            elif response.status_code == 409:  # 用户名已存在，则返回409
                print(f'{colors.RED}该用户名已被注册，请重新选择{colors.END}')
            elif response.status_code == 429:  # 返回状态码为429，表示请求过多
                print(f'{colors.RED}同一IP在短时间内注册用户过多，请稍后再试。{colors.END}')
            else:
                print(f'注册失败，状态码: {response.status_code}，请稍后重试')
        except requests.exceptions.RequestException as e:
            print(f'{colors.RED}网络错误: {e}{colors.END}')


# 确保在调用该函数之前定义 colors 和 global_server_address


# 
def get_login():
    print('正在进入备用登录方式...')
    
    username = input('请输入用户名: ')
    password = input('请输入密码: ')

    url = f'{global_server_address}/tools/login_get.php'#'http://1nvos.fmdns.cn:10001/tools/login_get.php'
    params = {
        'username': username,
        'password': password
    }

    response = requests.get(url, params=params)

    if response.status_code == 200:
        print('登录成功，输入help以查看帮助！')
        handle_user_input()
    else:
        print('登录失败，请重新输入用户名和密码:')
        register_choice = input('输入 r 进行注册，其他任意键继续登录: ')
        if register_choice.lower() == 'r':
            register()
        else:
            login()

def login():
    print(f"{colors.BLUE}1NVos安全工具=======登录================ 注册方式：输入任意用户名密码后即可进行注册{colors.END}")
    print("服务器连接...")
    
    while True:
        try:
            requests.get(f'{global_server_address}/tools/login.php')  # 发起连接测试请求
            connected = True
        except requests.ConnectionError:
            connected = False
        
        if not connected:
            print('无法连接到服务器，请检查网络连接或稍后重试')
            continue_login = input('输入 y 继续尝试登录，输入其他任意键退出: ')
            if continue_login.lower() != 'y':
                break

        login_choice = input(f'{colors.BLUE}==============任意键继续=============={colors.END}')

         # 如果选择注册，则立即调用注册函数
        register_choice = input(f'{colors.YELLOW}选择登录方式：\n1. 任意键 (默认)\n2. r (注册)\n3. g (备用)\n {colors.END}')
        if register_choice.lower() == 'r':
            register()
    # 注册后可以选择是否继续登录，视情况决定是否结束程序
    # 如果注册后不想再登录，可以直接结束
    # break 或 return 可以在注册完成后使用

        if login_choice.lower() == 'g':
            get_login()  # 进行GET登录
            break  # 结束循环（如果在循环中）

        else:
        # 进行POST登录
              username = input('请输入用户名: ')
              password = input('请输入密码: ')

              url = f'{global_server_address}/tools/login.php'
              data = {
                  'username': username,
                  'password': password
              }
    
              response = requests.post(url, data=data)
    
              if response.status_code == 200:
                  print('登录成功, 输入help以查看帮助！')
                  handle_user_input()
                  break  # 结束循环（如果在循环中）
              else:
                   print('登录失败，请重新输入用户名和密码:')
                   register_choice = input('输入 r 确认注册，其他键继续 ')
                   if register_choice.lower() == 'r':
                       register()
                       