import os
import time
import sys
from colorama import init, Fore, Style

# 初始化 Colorama
init(autoreset=True)

def maximize_cmd():
    if sys.platform == "win32":
        # 在 Windows 上，使用 'mode con' 命令来设置窗口大小
        os.system('mode con: cols=300 lines=200')  # 你可以根据需要调整列数和行数
        os.system('OneNV 2.0.X')  

maximize_cmd()

# 逐行打印的函数
def print_lines_with_delay(lines, delay=0.02):
    for line in lines:
        print(line)
        time.sleep(delay)

# 文本内容（每一行前添加颜色）
text_lines = [
    "         _______                   _____                    _____                    _____                    _____                            _____                    _____                    _____",
    f"{Fore.YELLOW}        /::\\    \\                 /\\    \\                  /\\    \\                  /\\    \\                  /\\    \\                          /\\    \\                  /\\    \\                  /\\    \\",
    f"{Fore.YELLOW}       /::::\\    \\               /::\\____\\                /::\\    \\                /::\\____\\                /::\\____\\                        /::\\____\\                /::\\    \\                /::\\    \\",
    "      /::::::\\    \\             /::::|   |               /::::\\    \\              /::::|   |               /:::/    /                       /:::/    /               /::::\\    \\              /::::\\    \\",
    "     /::::::::\\    \\           /:::::|   |              /::::::\\    \\            /:::::|   |              /:::/    /                       /:::/   _/___            /::::::\\    \\            /::::::\\    \\",
    f"{Fore.YELLOW}    /:::/~~\\:::\\    \\         /::::::|   |             /:::/\\:::\\    \\          /::::::|   |             /:::/    /                       /:::/   /\\    \\          /:::/\\:::\\    \\          /:::/\\:::\\    \\",
    "   /:::/    \\:::\\    \\       /:::/|::|   |            /:::/__\\:::\\    \\        /:::/|::|   |            /:::/____/                       /:::/   /::\\____\\        /:::/__\\:::\\    \\        /:::/__\\:::\\    \\",
    "  /:::/    / \\:::\\    \\     /:::/ |::|   |           /::::\\   \\:::\\    \\      /:::/ |::|   |            |::|    |                       /:::/   /:::/    /       /::::\\   \\:::\\    \\      /::::\\   \\:::\\    \\",
    f"{Fore.YELLOW} /:::/____/   \\:::\\____\\   /:::/  |::|   | _____    /::::::\\   \\:::\\    \\    /:::/  |::|   | _____      |::|    |     _____            /:::/   /:::/   _/___    /::::::\\   \\:::\\    \\    /::::::\\   \\:::\\    \\",
    " |:::|    |     |:::|    | /:::/   |::|   |/\\    \\  /:::/\\:::\\   \\:::\\    \\  /:::/   |::|   |/\\    \\     |::|    |    /\\    \\          /:::/___/:::/   /\\    \\  /:::/\\:::\\   \\:::\\    \\  /:::/\\:::\\   \\:::\\ ___\\",
    " |:::|____|     |:::|    |/:: /    |::|   /::\\____\\/:::/__\\:::\\   \\:::\\____\\/:: /    |::|   /::\\____\\    |::|    |   /::\\____\\        |:::|   /:::/   /::\\____\\/:::/__\\:::\\   \\:::\\____\\/:::/__\\:::\\   \\:::|    |",
    "  \\:::\\    \\   /:::/    / \\::/    /|::|  /:::/    /\\:::\\   \\:::\\   \\::/    /\\::/    /|::|  /:::/    /    |::|    |  /:::/    /        |:::|__/:::/   /:::/    /\\:::\\   \\:::\\   \\::/    /\\:::\\   \\:::\\  /:::|____|",
    f"{Fore.YELLOW}   \\:::\\    \\ /:::/    /   \\/____/ |::| /:::/    /  \\:::\\   \\:::\\   \\/____/  \\/____/ |::| /:::/    /     |::|    | /:::/    /          \\:::\\/:::/   /:::/    /  \\:::\\   \\:::\\   \\/____/  \\:::\\   \\:::\\/:::/    /",
    "    \\:::\\    /:::/    /            |::|/:::/    /    \\:::\\   \\:::\\    \\              |::|/:::/    /      |::|____|/:::/    /            \\::::::/   /:::/    /    \\:::\\   \\:::\\    \\       \\:::\\   \\::::::/    /",
    "     \\:::\\__/:::/    /             |::::::/    /      \\:::\\   \\:::\\____\\             |::::::/    /       |:::::::::::/    /              \\::::/___/:::/    /      \\:::\\   \\:::\\____\\       \\:::\\   \\::::/    /",
    "      \\::::::::/    /              |:::::/    /        \\:::\\   \\::/    /             |:::::/    /        \\::::::::::/____/                \\:::\\__/:::/    /        \\:::\\   \\::/    /        \\:::\\  /:::/    /",
    "       \\::::::/    /               |::::/    /          \\:::\\   \\/____/              |::::/    /          ~~~~~~~~~~                       \\::::::::/    /          \\:::\\   \\/____/          \\:::\\/:::/    /",
    f"{Fore.YELLOW}        \\::::/    /                /:::/    /            \\:::\\    \\                  /:::/    /                                             \\::::::/    /            \\:::\\    \\               \\::::::/    /",
    f"{Fore.YELLOW}         \\::/____/                /:::/    /              \\:::\\____\\                /:::/    /                                               \\::::/    /              \\:::\\____\\               \\::::/    /",
    f"{Fore.YELLOW}          ~~                      \\::/    /                \\::/    /                \\::/    /                                                 \\::/____/                \\::/    /                \\::/____/"
]

# # 执行逐行打印
# print_lines_with_delay(text_lines, delay=0.02)